Article ID: 5197, created on Apr 15, 2008, last review on Apr 16, 2012

  • Applies to:
  • Plesk for Linux/Unix


The following error occurs during Plesk 8.0 backup restoring on Plesk 8.3 using /usr/local/psa/bin/pleskrestore utility:

Node migration-dump does not have attribute dump-version


Note, this issue has been fixed in Plesk 8.4. If you cannot upgrade right now you can follow the workaround below.

Backup file should be fixed manually. Open it in text editor ('vi' is preferred, since it does not reformat file or change life-feeds which may corrupt the file) and add 'dump-version="8.3.0"' to 'migration-dump' node line, before editing:

<migration-dump agent-name="PleskX">


<migration-dump agent-name="PleskX" dump-version="8.3.0">

Also, 'Content-Length' of 'dump.xml' chunk should be increased by the number of characters added (in our case 21), before editing:

Content-Length: 12269


Content-Length: 12291

Now try to restore backup again.

29d1e90fd304f01e6420fbe60f66f838 a914db3fdc7a53ddcfd1b2db8f5a1b9c 56797cefb1efc9130f7c48a7d1db0f0c

Email subscription for changes to this article
Save as PDF